Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
IllegalArgumentException Class Reference

Thrown to indicate that a method has been passed an illegal or inappropriate argument. More...

Inherits RuntimeException.

## Public Member Functions
| IllegalArgumentException (const LogString &msg)
| IllegalArgumentException (const IllegalArgumentException &)
IllegalArgumentException & | operator= (const IllegalArgumentException &)
Public Member Functions inherited from RuntimeException
| RuntimeException (log4cxx_status_t stat)
| RuntimeException (const LogString &msg)
| RuntimeException (const RuntimeException &msg)
RuntimeException & | operator= (const RuntimeException &src)
Public Member Functions inherited from Exception
| Exception (const char *msg)
| Exception (const LogString &msg)
| Exception (const Exception &src)
Exception & | operator= (const Exception &src)
const char * | what () const throw ()

## Detailed Description

Thrown to indicate that a method has been passed an illegal or inappropriate argument.

## Constructor & Destructor Documentation

IllegalArgumentException | ( | const LogString & | msg | ) |

IllegalArgumentException | ( | const IllegalArgumentException & |  | ) |

## Member Function Documentation

IllegalArgumentException& operator= | ( | const IllegalArgumentException & |  | ) |

The documentation for this class was generated from the following file:

- exception.h